Gets a property by key

Permission level: read

GET /property/{propertyKey}

Operation id: PropertyService_GetProperty

Tags: PropertyService

Parameters

Path parameters

NameTypeRequiredDescription
propertyKeystringYesThe property to retrieve

Query parameters

NameTypeRequiredDescription
includeGenericsbooleanNoIf true, include the generic properties under the requested key (if any). Default: false
propertyCharacteristics.domainstringNoThe property is specific for this domain. Required = false
propertyCharacteristics.parentDomainstringNoThe parent domain. Required = false
propertyCharacteristics.parentPropertyKeystringNoThe parent property key. Required = false
propertyCharacteristics.parentPropertyValuestringNoThe parent property value. Required = false
propertyCharacteristics.parentScopestringNoThe parent scope. Required = false
propertyCharacteristics.parentTenantIdstringNoThe parent tenant id. Required = false
propertyCharacteristics.scopestringNoThe property is specific for this scope. Required = false
propertyCharacteristics.tenantIdstringNoThe property is specific for this tenant. Required = false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
propertyobjectNo
{
  "type": "object",
  "properties": {
    "property": {
      "type": "object",
      "properties": {
        "properties": {
          "type": "object"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}